@import url('https://fonts.googleapis.com/css?family=Cinzel+Decorative|Playfair+Display+SC|Raleway|Mirza');

/* Background pattern from subtlepatterns.com */


/*---------------  yleiset --------------- */

* {
  margin: 0;
  padding: 0;
}

body {
    color: #837f7f;
    min-width: 300px;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #1b1817;
    background-image: url(dark_wall.png);
    background-repeat: repeat;
    text-align: justify;
    font-size: 15px;
    line-height: 1.5em;
    min-width: 380px;
}

::selection {
   background: #bcbcbc;
   color: #e7e7e7;
}
::-moz-selection {
   background: #bcbcbc;
   color: #e7e7e7;
}
::-webkit-selection {
   background: #bcbcbc;
   color: #e7e7e7;
}


a {
    color: #8e7e7e;
}

a:hover {
    color: #d5cece;
}

b {
    font-weight: bold;
    color: #8e7e7e;
}



/*---------------  navigaatio  ---------------*/


ul.hiddenNav {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    padding-top: 30px;
}



ul.hiddenNav li a {
    font-family: 'Raleway', serif;
    display: inline-block;
    color: #928b8b;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    transition: 0.3s;
    font-size: 15px; 
    background-color: #303030;
}

ul.hiddenNav li:first-child a,
ul.hiddenNav li:first-child a:hover {
    color: #a5a0a0;
    background-color: #474747;
}

ul.hiddenNav li a:hover {
    background-color: #1e1e1e;
}

ul.hiddenNav li {
    display: none;
}

ul.hiddenNav li.icon {
    float: left;
    display: inline-block;
}

ul.hiddenNav.responsive {
    position: relative;
    width: 100px;
}


ul.hiddenNav.responsive li.icon {
    left: 0;
    top: 0;
}

ul.hiddenNav.responsive li {
    float: none;
    display: inline;
}

ul.hiddenNav.responsive li:first-child {
    float: none;
    display: inline;
}

ul.hiddenNav.responsive li a {
    display: block;
    text-align: left;
}





/*---------------  rakenne  ---------------*/



#tekstipalkit {
    width: 100%;
    margin: 0 auto;
    text-align: center;
}


#vasen {
    margin-top: 0px;
    margin: 0 auto;
    float: right;
}

#otsikko {
    height: 50px;
    max-width: 960px;
}

#nav {
    background-image: url(zwartevilt.png);
    width: 100%;
    height: 110px;
    top: 0;
    border-bottom: 7px solid #342525;
}

#container {
    width: 100%;
    margin: 0 auto;
    background-image: url(zwartevilt.png);
}

#textarea {
    margin: 0 auto;
    width: 100%;
    padding-top: 30px;
    padding-bottom: 30px;
}

#textarea p {
    margin: 16px 0px;
    padding: 0 20px 0 20px;
}

footer {
    font-family: 'Raleway', serif;
    width: 100%;
    max-width: 960px;
    margin: 10px auto 50px auto;
    color: #5f5d5d;
    font-size: 15px;
}

footer ul {
    width: 100%;
    position: bottom;
    margin: 0 auto;
    list-style: none;
    padding: 10px 0 0 0;
}



footer li{
    width: 100%;
    float: left;
    text-align: left;
}

footer li:last-child {
    text-align: left;
}




/* Piilotettu */
#oikea, #oik, #vas {
  display: none;
}





/*---------------  otsikot --------------- */



h1 {
	
	font-family: 'Playfair Display SC';
	font-weight:normal;
	font-size:44px;
	color:#7d3b3b;
	text-align:center;
	text-transform:uppercase;
	font-weight:normal;
	text-shadow:1px 1px 2px #460505;
    padding: 30px 30px 10px 0px;
    margin: 10px auto;
    padding-top: 35px;
}


h1:first-letter { 
	font-family: 'Cinzel Decorative', cursive;
	font-size: 50px;
	font-weight:400;	
}


h2 {
	
	font-family: 'Playfair Display SC';
	font-weight:normal;
	font-size:25px;
	color:#725858;
	text-align:center;
	text-decoration:none;
	text-transform:uppercase;
	font-weight:normal;
    margin-bottom:10px;
    padding-bottom: 10px;
}


h2:first-letter { 
	font-family: 'Cinzel Decorative', cursive;
	font-size: 40px;
	font-weight:400;
}


h3 {
	
	font-family: 'Raleway';
	font-weight:normal;
	font-size:17px;
	color:#a99a9a;
    padding-left:20px;
}

h4 {
	
	font-family: 'Raleway';
	font-weight:normal;
	font-size:20px;
	color:#8e7777;
    padding-left:20px;
}





/*---------------  yleista muuta --------------- */



hr {
    border-top: 1px solid;
    border-color: #434343;
    margin-top: 30px;
    margin-bottom: 30px;
}


.koristekuva {
    height: 183px;
    width: auto;
    border: 3px solid #342525;
    margin: 5px;
    margin-bottom: 40px;
}

.koristekuva2 {
    height: 200px;
    width: auto;
    border: 3px solid #342525;
    margin: 5px;
    margin-bottom: 40px;
}

.koristekuva3,
.koristekuva32 {
    height: 208px;
    width: auto;
    border: 3px solid #342525;
    margin: 5px;
    margin-bottom: 40px;
}

.koristekuva32 {
    margin-bottom: 10px;
}

.koristekuva4 {
    height: 240px;
    width: auto;
    border: 3px solid #342525;
    margin: 5px;
    margin-bottom: 20px;
}

.koristekuvaoikea {
    height: 340px;
    width: auto;
    float: right;
    border: 3px solid #342525;
    margin: 10px;
    margin-left: 30px;
}


.koristekuvavasen {
    height: 170px;
    width: auto;
    float: left;
    border: 3px solid #342525;
    margin-top: 20px;
    margin-right: 20px;
}

.koristekuvaoikeapieni {
    height: 190px;
    width: auto;
    float: right;
    border: 3px solid #342525;
    margin-top: 20px;
    margin-left: 20px;
}


/* --------------------------------------------
              HEVOSEN SIVU
-------------------------------------------- */



/*---------------  Yleistiedot --------------- */


.tietotaulukko {
    background-image:url(assault.png);
    width:100%;
    margin:0px auto 0px auto;
    border-collapse:collapse;
    border-bottom:2px solid #595959;
    border-top:2px solid #595959;
    margin-bottom: 30px;
}

.tietotaulukko td {
    border-bottom:1px solid #4a4a4a;
    padding:5px 0px;
    padding-left: 10px;
    font-size:13px;
    width: 100%;
}


.tietotaulukko td:nth-child(even) {
    color:#9c9898;
    letter-spacing:1px;
}

.tietotaulukko td:nth-child(odd) {
    color:#817979;
    letter-spacing:2px;
}


.tietotaulukko tr:hover {
    -webkit-transition: all 700ms ease;
    -moz-transition: all 700ms ease;
    -ms-transition: all 700ms ease;
    -o-transition: all 700ms ease;
    transition: all 700ms ease;
    background-color: #2b2b2b;
}


.tietotaulukko td{
    display:block;
    width:calc(100% - 10px);
}

.tietotaulukko tr{
    display:block;
    margin-bottom:30px;
    -webkit-transition: all 700ms ease;
    -moz-transition: all 700ms ease;
    -ms-transition: all 700ms ease;
    -o-transition: all 700ms ease;
    transition: all 700ms ease;
}



/*---------------  Suku ----------------*/



.sukutaulu {
    background-image:url(assault.png);
    width:100%;
    margin:0px auto 0px auto;
    border-collapse:collapse;
    border-bottom:2px solid #595959;
    border-top:2px solid #595959;
    margin-bottom: 30px;
}

.sukutaulu td {
    border-bottom:1px solid #3c3c3c;
    padding:5px 0px;
    padding-left: 10px;
    font-size:13px;
    width: 100%;
}

.sukutaulu tr:first-child td:first-child,
.sukutaulu tr:nth-child(5) td:first-child {
    background-color: #2b2b2b;
}

.sukutaulu td{
    display:block;
    width:calc(100% - 10px);
}

.sukutaulu tr{
        display:block;
}



.jalkelaiset{
    background-image:url(assault.png);
    width:100%;
    margin:0px auto 0px auto;
    border-collapse:collapse;
    border-bottom:2px solid #595959;
    border-top:2px solid #595959;
    margin-bottom: 30px;
}

.jalkelaiset td {
    border-bottom:1px solid #3c3c3c;
    padding:5px 0px;
    padding-left: 10px;
    font-size:13px;
    width: 100%;
}

.jalkelaiset tr td:first-child{
    background-color: #2b2b2b;
}

.jalkelaiset td{
    display:block;
    width:calc(100% - 10px);
}

.jalkelaiset tr{
        display:block;
}


.taulukko{
    background-image:url(assault.png);
    width:100%;
    margin:0px auto 0px auto;
    border-collapse:collapse;
    border-bottom:2px solid #595959;
    border-top:2px solid #595959;
    margin-bottom: 30px;
}

.taulukko td {
        border-bottom:1px solid #3c3c3c;
    padding:8px 0px;
    padding-left: 10px;
    font-size:13px;
}

.taulukko td:first-child {
    width: 14%;
}

.taulukko td:nth-child(2),
.taulukko td:nth-child(3),
.taulukko td:nth-child(4){
    width: 23%;
}

.taulukko td:nth-child(5){
    width: 17%;
}

.taulukko tr:first-child {
    font-weight: bold;
}

.taulukko tr:hover {
    -webkit-transition: all 700ms ease;
    -moz-transition: all 700ms ease;
    -ms-transition: all 700ms ease;
    -o-transition: all 700ms ease;
    transition: all 700ms ease;
    background-color: #2b2b2b;
}

.taulukko tr{
    -webkit-transition: all 700ms ease;
    -moz-transition: all 700ms ease;
    -ms-transition: all 700ms ease;
    -o-transition: all 700ms ease;
    transition: all 700ms ease;
}

/*------------------ hepan tabsit --------------------*/





.tabsheppa {
    width: 100%;
    margin-top: 80px;
}


.tabsheppa ul {
    margin:0;
    margin-left:auto;
    margin-right:auto;
    text-align:center;
    padding:0;
}

.tabsheppa ul li {
    text-align:center;
    display:inline-block;
    list-style:none;
    padding: 10px 15px;
    font-weight:bold;
    font-size: 14px;
	display: inline;
	border: 1px solid #c5c0c0;
	border-bottom-width: 0;
    margin: 0 3px 0 3px;
}

.tabsheppa a {
    text-decoration: none;
}


.tabsheppa ul li.active {
    position:parent;
    background-image:url(assault.png);
    color: #d5cece;
	border-color: #e2e1e1;
}

.tab-contentheppa {
    clear:both;
    display:block;
    max-width:960px;
    width: 100%;
    height:auto;
    text-align: justify;
    padding:5px 0;
    margin:0;
    margin-top: 30px;
}


.tab-contentheppa.active {
    display: block;
}





/*------------------ Kuvagalleria --------------------*/




.row {
   margin: 0 auto;
    margin-bottom: 50px;
}


.row .column img {
    height: auto;
    width: 89%;
    padding: 0;
    margin-left: 5%;
    margin-right: 5%;
    border: 3px solid #6b6868;
}

.row .column{
    float: left;
    width: 25%;
}


.kolmekuvaa .row .column {
    width: 33%;
}



.row:after {
    content: "";
    display: table;
    clear: both;
}

.column {
    float: left;
    width: 25%;
}

.kolmekuvaa .column {
    width: 33%;
}


.column img {
    height: auto;
    width: 100%;
    height: 70px;
    object-fit: cover;
    cursor: pointer;
}

.galleria {
    display: none;
    position: fixed;
    padding-top: 40px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #000;

}

.galleria-sisalto {
    position: relative;
    margin: auto;
    width: 90%;
    max-width: 960px;
    min-width: 250px;
}



.close {
    color: white;
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 40px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #999;
    text-decoration: none;
    cursor: pointer;
}

.slide {
    display: none;
    text-align: center;
    background-color: #313131;
    margin-bottom: -5px;
}

.slide img {
    width: 100%;
    max-width: 690px;
    min-width: 250px;
    margin: 0 auto;
}


.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -40px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
 background-color: rgba(0, 0, 0, 0.6);
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}


.copyt {
    text-align: center;
    background-color: black;
    padding: 3px 0;
    color: #818181;
    font-size: 12px;
}







/*------------------ Lomake--------------------*/




input[type="text"] {
    display: block;
    margin: 0;
    width: 90%;
    max-width: 500px;
    font-family: 'Raleway', serif;
    font-size: 18px;
    appearance: none;
    box-shadow: none;
    border-radius: none;
    background-color: #d7d7d7;
}


input[type="text"]:focus {
    outline: none;
}


.lomake textarea {
    padding: 10px;
    width: 90%;
    max-width: 500px;
    border: solid 5px #878787;
    transition: border 0.3s;
    background-color: #d7d7d7;
    font-family: 'Raleway', serif;
}


.lomake textarea:focus,
.lomake textarea.focus {
    border: solid 5px #4b4b4b;
    outline: none;
}


.lomake input[type="text"] {
    padding: 10px;
    border: solid 5px #878787;
    transition: border 0.3s;
}


.lomake input[type="text"]:focus,
.lomake input[type="text"].focus {
    border: solid 5px #4b4b4b;
}


input[type=submit] {
    margin-top: 10px;
    margin-bottom: 30px;
    padding:8px 20px; 
    background:#ccc; 
    border:0 none;
    cursor:pointer;
    transition: background 0.3s;
}


input[type=submit]:hover {
    padding:8px 20px; 
    background:#fff; 
    border:0 none;
    cursor:pointer;
}

.error {
    display:none;
    color:#cb7171;
}







@media only screen and (min-width:725px)  {



    /* --------------------------------------------
                  Navigaatio
    -------------------------------------------- */


    .navilinkki {
        margin:0 auto;
    }

    .navilinkki ul {
        margin: 0 auto;
        padding:0px; 
        height: 30px;
    }

    .navilinkki li {
        margin-top: 43px;
        list-style: none; 
        float:left; 
        width: 20%;
        text-align: center;
        padding-top: 4px;
        padding-left: 10px;
        padding-right: 10px;
        border-right: 1px solid  #503b3b;
    } 

    .navilinkki li:first-child {
        border-left: 1px solid  #503b3b;
    } 


    .navilinkki li a {
        color:#ada6a6;
        font-family: 'Raleway', serif;
        text-decoration: none;
        text-transform: uppercase;
        font-size:14px;
        letter-spacing:2px;
        padding-bottom: 7px;
    }

    .navilinkki li a:hover {
        color:#968b8b;
    }

    .navilinkki li.active a {
        color:#e2dcd8;
        border-bottom: 0px solid #503b3b;
    }



    /* -------------------- yleiset --------------------*/



    h2 {
        text-align:left;
        padding: 25px 20px 10px 50px;
    }


    /* -------------------- rakenne --------------------*/

    #vasen {
        width: 36%;
        float: left;
        background-repeat: no-repeat;
        margin-left: 2%;
    }


    #oikea {
        width: 60%;
        float: left;
        margin-right: 2%;
        display: block;
    }


    footer ul {
        width: 100%;
        position: bottom;
        margin: 0 auto;
        list-style: none;
    }


    footer li{
        width: 50%;
        float: left;
        text-align: left;
    }

    footer li:last-child {
        text-align: right;
    }


    /* -------------------- Heppasivu --------------------*/


    .tietotaulukko td:nth-child(even) {
        color:#aca5a5;
        width: 30%;
        letter-spacing:1px;
    }


    .tietotaulukko td:nth-child(odd) {
        color:#817979;
        width: 20%;
        letter-spacing:2px;
    }


    .tietotaulukko td{
        display: table-cell;
    }

    .tietotaulukko tr{
        display: table-row;
        margin-bottom:0;
    }

    .sukutaulu td{
        display: table-cell;
width: 33%;
    }

    .sukutaulu tr{
        display: table-row;
        margin-bottom:0;

    }


    .sukutaulu tr:first-child td:first-child,
    .sukutaulu tr:nth-child(5) td:first-child {
        background-color: transparent;
    }

    .jalkelaiset td{
        display: table-cell;
    }

   .jalkelaiset td:first-child{
        width: 17%;
    }

   .jalkelaiset td:nth-child(2),
   .jalkelaiset td:nth-child(3){
        width: 29%;
    }

   .jalkelaiset td:nth-child(4){
        width: 25%;
    }

    .jalkelaiset tr{
        display: table-row;
        margin-bottom:0;
    }


    .jalkelaiset tr td:first-child {
        background-color: transparent;
    }


}





@media only screen and (min-width:960px)  {

    /*-------------------- navi ------------------------*/

    #tekstipalkit {
        max-width:960px;
        margin: 0 auto;
    }

    #vasen{
        width: 53%;
        background-repeat: no-repeat;
        margin-top: 0px;
        margin-left: 0;
    }

    #oikea{
        width: 47%;
        float: right;
        margin-right: 0;
    }


    /*-------------------- ylaosa ------------------------*/


    #otsikko {
        background-repeat: no-repeat;
        max-width: 960px;
        height: 280px;
        margin: 0 auto;
    }

    #vas,
    #oik {
       float: left;
        margin-top: 40px;
        display: block;
    }

    #vas {
        width: 57%;
    }

    #oik {
        width: 43%;
        margin: 40px 0 0 0;
    }


    #taustakuva{
        background-image: url(kuvat/logooo.png);
        width: 500px;
        height: 230px;
        background-repeat: no-repeat;
        border: 0px solid #676767;
        display: block; 
    }

    #tekstit{
        float: left;
    }
    
    .ylos {
        font-size: 24px;
        font-style: italic;
        font-family: 'Mirza', cursive;
        line-height: 1em;
        margin-top: 10px;
        
    }



    /*-------------------- tekstit ------------------------*/


    #textarea {
        max-width: 960px;
    }

    #textarea p{
        padding: 0;
    }


    /*-------------------- muut ------------------------*/


    h1 {	
        font-size:44px;
        text-align:left;
    }

}


